package domain


type AlibabaTclsAelophyMerchantChannelRefundApplySubRefundOrder struct {
    /*
        外部子单号     */
    SubOutOrderId  *string `json:"sub_out_order_id,omitempty" `

    /*
        退款数量     */
    RefundQuantity  *int64 `json:"refund_quantity,omitempty" `

    /*
        退款金额，单位：分     */
    RefundFee  *int64 `json:"refund_fee,omitempty" `

}

func (s *AlibabaTclsAelophyMerchantChannelRefundApplySubRefundOrder) SetSubOutOrderId(v string) *AlibabaTclsAelophyMerchantChannelRefundApplySubRefundOrder {
    s.SubOutOrderId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundApplySubRefundOrder) SetRefundQuantity(v int64) *AlibabaTclsAelophyMerchantChannelRefundApplySubRefundOrder {
    s.RefundQuantity = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelRefundApplySubRefundOrder) SetRefundFee(v int64) *AlibabaTclsAelophyMerchantChannelRefundApplySubRefundOrder {
    s.RefundFee = &v
    return s
}
